Skip to content

Create a Loader job to extract one or more data files. Learn more about extracting data files with Vault Loader in Vault Help. You can extract a maximum of 10 data objects per request.

POST/api/{version}/services/loader/extract
NameDescription
Acceptapplication/json
Content-Typeapplication/json

The body of your request should be a JSON file containing the set of data objects to extract.

NameDescription
object_type
required
The type of data object to extract. The following values are allowed:
  • vobjects__v
  • documents__v
  • document_versions__v
  • document_relationships__v
  • groups__v
object
conditional
If object_type=vobjects__v, include the object name. For example, product__v.
extract_options
optional
Include to specify whether or not to extract renditions and/or source files for the documents__v and document_versions__v object types. The following values are allowed:
  • include_source__v
  • include_renditions__v
If omitted, Vault returns all document properties in the Retrieve Loader Results endpoint.
fields
required
A JSON array with the field information for the specified object type. For example, id, name__v, descriptions__v, etc.
vql_criteria__v
optional
A VQL-like expression used to optionally filter the data set to only those records that meet a specified criterion. Learn more about Criteria VQL.
NameDescription
sendNotificationTo send a Vault notification when the job completes, set to true. If omitted, this defaults to false and Vault does not send a notification when the job completes.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ --data-binary @"C:\Vault\Loader\extract_objects.json" \ https://myvault.veevavault.com/api/v25.2/services/loader/extract
[ { "object_type": "documents__v", "extract_options": "include_renditions__v", "fields":[ "id", "name__v", "type__v" ], "vql_criteria__v":"site__v=123 MAXROWS 500 SKIP 100" }, { "object_type": "vobjects__v", "object": "product__v", "fields":[ "id", "name__v", "object_type__v" ], "vql_criteria__v":"site__v=123 MAXROWS 500 SKIP 100" }, { "object_type": "groups__v", "fields":[ "id", "name__v" ] } ]
{ "responseStatus": "SUCCESS", "url": "/api/v25.2/services/jobs/61907", "job_id": 61907, "tasks": [ { "task_id": "1", "object_type": "documents__v", "fields": [ "id", "name__v", "type__v" ], "vql_criteria__v": "site__v=123 MAXROWS 500 SKIP 100", "extract_options": "include_renditions__v" }, { "task_id": "2", "object_type": "vobjects__v", "object": "product__v", "fields": [ "id", "name__v", "object_type__v" ], "vql_criteria__v": "site__v=123 MAXROWS 500 SKIP 100" }, { "task_id": "3", "object_type": "groups__v", "fields": [ "id", "name__v" ] } ] }

On SUCCESS, the response includes the following information: